import request from '@/utils/request';
import { baseURL } from '@/config';

export function getList(data) {
  return request({
    url: '/intentionCustomer/select?page=' + data.page + '&size=' + data.size,
    method: 'get',
    data,
  });
}

export function doDelete(data) {
  return request({
    url: '/intentionCustomer/remove?customerId=' + data.customerId,
    method: 'post',
    data,
  });
}

export function doAdd(data) {
  return request({
    url: '/intentionCustomer/insert',
    method: 'post',
    data,
  });
}

export function doEdit(data) {
  return request({
    url: '/intentionCustomer/update',
    method: 'post',
    data,
  });
}

// 导出意向用户
export function intentionExport(data) {
  return baseURL + '/intentionCustomer/export';
}
